<html>
<head>
<title>OgreSimplePageContentCollection.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_f1fa7196649e3987904dbdb4948bc856.html">Components</a>      </li>
      <li class="navelem"><a class="el" href="dir_b4dabe1aeee1fabc669d37783945a897.html">Paging</a>      </li>
      <li class="navelem"><a class="el" href="dir_c90181f353a19ac84e93eaccff6d8392.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">OgreSimplePageContentCollection.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePagingPrerequisites_8h_source.html">OgrePagingPrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgrePageContentCollection_8h_source.html">OgrePageContentCollection.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgrePageContentCollectionFactory_8h_source.html">OgrePageContentCollectionFactory.h</a>&quot;</code><br/>
</div>
<p><a href="OgreSimplePageContentCollection_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollection.html">Ogre::SimplePageContentCollection</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a> which just provides a simple list of <a class="el" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a> instances.  <a href="classOgre_1_1SimplePageContentCollection.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollectionFactory.html">Ogre::SimplePageContentCollectionFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Factory class for <a class="el" href="classOgre_1_1SimplePageContentCollection.html" title="Specialisation of PageContentCollection which just provides a simple list of PageContent instances...">SimplePageContentCollection</a>.  <a href="classOgre_1_1SimplePageContentCollectionFactory.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
